*{margin:0;padding:0;box-sizing:border-box;}

body {
  margin: 0;
  font-family: 'Poppins';  
  background-image: url("../img/bg.png");
  background-repeat: no-repeat;  
  background-size: 100% 100%; /* контроль масштабу */
}




.container{
  width:100%;
  max-width:1400px;
  padding:0 40px;
  margin:0 auto; /* ось правильне центрування */
  text-align:center;
}

/* TITLE */
.title{
  color: black;
  font-size:32px;
  font-weight:500;
  white-space:nowrap; /* в одну лінію */
  margin-bottom:45px;
}

.title span{
  background: #0C4EB9;
  -webkit-background-clip:text;
  -webkit-text-fill-color:transparent;
}

/* ARROW */
.arrow-wrapper{
  margin-bottom:50px;
}

.arrow{
  width:52px;
  height:52px;
  border-radius:50%;
  border:1.5px solid blue;
  display:flex;
  align-items:center;
  justify-content:center;
  margin:0 auto;
  box-shadow:0 0 25px  rgba(12, 78, 185, 1);
  animation:pulse 2s infinite ease-in-out;
}

.arrow svg{
  width:30px;
  height:30px;
  fill:black;
  animation:bounce 1.8s infinite;
}

@keyframes bounce{
  0%,100%{transform:translateY(0);}
  50%{transform:translateY(5px);}
}

@keyframes pulse{
 0% {
  box-shadow: 0 0 15px rgba(47,107,255,0.4);
}
50% {
  box-shadow: 0 0 35px rgba(47,107,255,0.7);
}
100% {
  box-shadow: 0 0 15px rgba(47,107,255,0.4);
}
}

/* VIDEO BLOCK */
.video-outer{
  position: relative;
  width:100%;
  background: none;
  border-radius:24px;
  padding:18px;  
  border:1px solid rgba(0,255,200,0.6);
  
}

.video-inner{
  border-radius:20px;
  overflow:hidden;
}

.plyr{
  border-radius:20px;
}
.play-overlay{
  position:absolute;
  inset:0;
  display:flex;
  align-items:center;
  justify-content:center;
  cursor:pointer;
}

.play-btni{
  width:84px;
  height:84px;
  border-radius:50%;
  display:flex;
  align-items:center;
  justify-content:center;
  background: #0C4EB9;  
  box-shadow: 0 0 15px rgba(47,107,255,0.4);
  animation: pulseGlow 1.5s infinite ease-in-out;
  transition:transform .3s ease;
}

.play-btni:hover{
  transform:scale(1.1);
}


.play-btni svg{
  width:28px;
  height:28px;
  fill:white; /* темний трикутник */
}
@keyframes pulseGlow {

  0% {
  box-shadow: 0 0 15px rgba(47,107,255,0.4);
}
50% {
  box-shadow: 0 0 35px rgba(47,107,255,0.7);
}
100% {
  box-shadow: 0 0 15px rgba(47,107,255,0.4);
}
}
.ai-block{
  margin:140px auto 0;
  width:100%;
  max-width:1320px;   /* точний розмір з Figma */
}

/* ОСНОВНА КАРТКА */
.ai-content{
  position:relative;
  width:100%;
  height:548px;         /* фіксована висота як в макеті */
  border-radius:22px;   /* у Figma 22px */
  padding:70px 80px;
  display:flex;
  align-items:center;
  justify-content:space-between;
  overflow:hidden;
  background:rgba(214, 223, 248, 1) ;
 
}



/* світіння справа */
.ai-content::after{
  content:'';
  position:absolute;
  right:-300px;
  top:-200px;
  width:900px;
  height:900px;
  background:radial-gradient(
    circle,
    rgba(90,255,210,0.20) 0%,
    rgba(90,255,210,0.08) 35%,
    transparent 70%
  );
  filter: blur(40px);
  z-index:0;
}

/* легка віньєтка, щоб правий край не “світився” */
.ai-content::before{
  content:'';
  position:absolute;
  inset:0;
  background:radial-gradient(
    circle at 80% 50%,
    rgba(0,0,0,0.45) 0%,
    rgba(0,0,0,0.25) 40%,
    transparent 75%
  );
  z-index:0;
}
/* текст */
.ai-text{
  position:relative;
  z-index:2;
  max-width:520px;
}

.ai-text h2{
  color: black;
  text-align: justify;
  font-family:'Poppins';
  font-weight:800;
  font-size:34px;
  line-height:1; /* 100% */
  letter-spacing:0;
  margin-bottom:25px;
  max-width:510px;
}

.ai-text h2 span{
  background:rgba(12, 78, 185, 1);
  -webkit-background-clip:text;
  -webkit-text-fill-color:transparent;
}

.ai-desc{
  color: rgba(0, 0, 0, 1);
  text-align: left;
  font-size:16px;
  line-height:1.6;  
  max-width:470px;
  margin-bottom:30px;
}

/* info box */
.ai-info{
  display:flex;
  align-items:center;
  gap:14px;
  padding:18px 22px;
  border-radius:14px;
  margin-bottom:35px;  
  background:white;
  border:2px solid rgba(0, 0, 0, 1);
  backdrop-filter:blur(12px);

}

.ai-info p{
  font-size:14px;
  color:rgba(0, 0, 0, 1);
}

.ai-info .star{
  color:black;
  font-size:35px;
}

/* кнопка */
.ai-btn{
  display:flex;
  padding:16px 36px;
  border-radius:12px;
  font-weight:600;
  text-decoration:none;
  color:white;

  background:rgba(12, 78, 185, 1);
   box-shadow: 0 10px 24px rgba(0,255,200,0.18);
  transition:0.3s;
}

.ai-btn:hover{
  transform:none;
  box-shadow: 0 10px 24px rgba(0,255,200,0.18);
  opacity:0.92;
}

/* рука */
.ai-image{
  position:relative;
  z-index:2;
  height:100%;
  display:flex;
  align-items:flex-end; /* притискаємо вниз */
}

.ai-image img{
  width:640px;            /* БІЛЬША */
  position:absolute;
  right:-120px;           /* вихід за край */
  bottom:-70px;           /* вихід вниз */
}
.slots-block{
  margin:120px auto;
  max-width:1320px;
}

.slots-content{
  display:flex;
  justify-content:space-between;
  align-items:center;
  padding:60px 80px;
  border-radius:22px;
  background:rgba(214, 223, 248, 1);
}

.slots-left{
  max-width:480px;
}

.slots-left h2{
  color: black;
  font-size:32px;
  margin-bottom:30px;
}

.slots-info{
  display:flex;
  gap:12px;
  align-items:center;
  padding:16px 20px;
  border-radius:14px;
  background: white;
  margin-bottom: 30px;
  border: 2px solid rgba(138, 132, 224, 1);
}
.star {
  color: black;
  font-size: 35px;
}
.slots-info p {
  font-size:14px;
  color:rgba(0, 0, 0, 1);
}

.slots-btn{
  display: flex;
  padding:16px 36px;
  border-radius:12px;
  border:none;
  font-weight:600;
  cursor:pointer;
  color: white;
  background: rgba(12, 78, 185, 1);
}

.slots-grid{
  display:grid;
  grid-template-columns:repeat(3, 110px);
  gap:20px;
}

.slot{
  width:100px;
  height:100px;
  border-radius:14px;
  background:#1a2633;
  display:flex;
  flex-direction:column;
  align-items:center;
  justify-content:center;
  transition:0.4s ease;
  color:#8fa0b2;
}

.slot-icon{
  font-size:24px;
  margin-bottom:6px;
  opacity:0.7;
}

.slot-label{
  font-size:12px;
  font-weight:500;
  letter-spacing:0.5px;
}

/* Taken */
.slot.taken{
  background:rgba(229, 230, 250, 1);
  opacity:1.6;
}

.slot.taken .slot-label{
  color:rgba(174, 175, 179, 1);
}

/* Free */
.slot.free{
  background:white;
  color:rgba(12, 78, 185, 1);
}

.slot.free .slot-label{
  color:#062018;
}

.play-overlay1{
  position:absolute;
  inset:0;
  display:flex;
  align-items:center;
  justify-content:center;
  cursor:pointer;
}

.play-btn1{
  width:84px;
  height:84px;
  border-radius:50%;
  display:flex;
  align-items:center;
  justify-content:center;
  background:linear-gradient(135deg,#8fffd4 0%, #41d6a4 100%);
  
  box-shadow:
    0 10px 30px rgba(0,255,180,0.25),
    inset 0 0 15px rgba(255,255,255,0.3);

  animation: pulseGlow 1.5s infinite ease-in-out;
  transition:transform .3s ease;
}

.play-btn1:hover{
  transform:scale(1.1);
}


.play-btn1 svg{
  width:28px;
  height:28px;
  fill:#0c1320; /* темний трикутник */
}
@keyframes pulseGlow {

  0%{
    box-shadow:
      0 0 0 0 rgba(0,255,180,0.5),
      0 10px 30px rgba(0,255,180,0.25);
  }

  50%{
    box-shadow:
      0 0 0 18px rgba(0,255,180,0),
      0 15px 40px rgba(0,255,180,0.4);
  }

  100%{
    box-shadow:
      0 0 0 0 rgba(0,255,180,0),
      0 10px 30px rgba(0,255,180,0.25);
  }
}
.under-video-wrapper{
  max-width:1160px;
  margin:80px auto;
  padding:0 20px;
  
}

/* TIMER */
.video-timer{
  text-align:center;
  font-size:20px;
  color:#8aa4c8;
  margin-bottom:40px;
  margin-top: 50px;
}

#timerValue{
  color:#67f5c0;
  font-weight:700;
}

/* ===== WRAPPER ===== */
.form-wrapper{
  margin-top: 85px;
  position:relative;
  width:100%;          /* бере ширину як відео */
  display:flex;
  justify-content:space-between;
  align-items:stretch;
  gap:40px;
}

/* ОБИДВА БЛОКИ ОДНАКОВІ */

.form-left-card,
.form-right-card{
  flex:1;               /* займають однакову ширину */
  padding:60px;
  border-radius:22px;
  background:white;
  box-shadow:0 20px 50px rgba(0,0,0,0.45);
  display:flex;
  flex-direction:column;
  justify-content:space-evenly;
}

/* LEFT */

.form-left-card h2{
  text-align: left;
  font-size: 32px;
  line-height:1.25;
  font-weight:700;
  color:black;
  margin-bottom:35px;
}

.form-left-card h2 span{
  color:#0C4EB9;
}

.form-info{
  display:inline-block;
  padding:18px 28px;
  border-radius:14px;
  border:1px solid black;
  color:black;
  background:rgba(255,255,255,0.02);
}

/* RIGHT */

.form-right-card h3{
  color:#fff;
  margin-bottom:28px;
  font-weight:600;
  letter-spacing:1px;
}

.form-right-card form{
  display:flex;
  flex-direction:column;
}

.form-right-card input{
  width:100%;
  padding:18px 20px;
  margin-bottom:18px;
  border-radius:14px;
  border:1px solid rgba(255,255,255,0.05);
  background:#EDF1FF;
  color:#fff;
  font-size:15px;
  transition:0.3s;
}

.form-right-card input:focus{
  border-color:#63f5c1;
  box-shadow:0 0 0 3px rgba(99,245,193,0.15);
  outline:none;
}

.form-btn{
  width:100%;
  padding:18px;
  border-radius:14px;
  border:none;
  font-weight:700;
  font-size:16px;
  cursor:pointer;
  color:white;
  background: #0C4EB9;

  transition:0.3s;
}

.form-btn:hover{
  box-shadow:0 12px 35px rgba(99,245,193,0.4);
}

.form-small{
  margin-top:14px;
  font-size:12px;
  color:#7f97b8;
  text-align:center;
}

/* ===== СТРІЛКИ ПОВЕРХ ===== */
.form-arrows1,.arrow-circle1 {
  display: none;
}
.form-arrows{
  position:absolute;
  left:50%;
  top:50%;
  transform:translate(-50%, -50%);
  display:flex;
  flex-direction:column;
  gap:85px;
  pointer-events:none;
}

.arrow-circle{
  width:74px;
  height:74px;
  border-radius:50%;
  display:flex;
  align-items:center;
  justify-content:center;
  font-size:26px;
  color:white;
  border:2px solid #63f5c1;
  background:blue;
  box-shadow:
    0 0 18px rgba(99,245,193,0.7),
    0 0 45px rgba(99,245,193,0.35);
}
.final-section { 
  margin-top: 80px;
  display: flex;
  justify-content: center;
}

.final-card {
  max-width: 1320px;
  width: 100%;
  padding: 80px 60px;
  border-radius: 30px;
  background-image: url(../img/bg1.png);   
  background-repeat: no-repeat;
  background-position: center top;
  background-size: cover;
  backdrop-filter: blur(40px);
}

.final-title {
  text-align: center;
  font-size: 38px;
  color: black;
  font-weight: bold;
}

.final-sub {
  text-align: center;
  color: black;
  margin-top: 10px;
}

.stats-row {
  display: flex;
  justify-content: center;
  gap: 40px;
  margin-top: 60px;
}

.stat-box {
  width: 320px;
  height: 200px;
  border-radius: 22px;
  background: rgba(255, 255, 255, 1);
  border: 1px solid rgba(255,255,255,0.08);
  padding: 35px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  text-align: center;
}

.stat-top {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 12px;
  color: black;
  font-size: 16px;
}

.stat-icon {
  width: 22px;
  height: 22px;
  fill: #39d98a; /* один колір для всіх */
}

.stat-value {
  margin-top: 22px;
  font-size: 36px;
  font-weight: 700;
  color: black;
}

.divider {
  height: 1px;
  background: rgba(255,255,255,0.1);
  margin: 60px 0;
}

.calc-title {
  text-align: center;
  font-size: 22px;
  color: black;
}

.calc-title span {
  color: rgba(12, 78, 185, 1);
}

.calc-card {
  margin: 50px auto 0;
  width: 520px;
  background: #e6e7ea;
  border-radius: 25px;
  padding: 40px;
  text-align: center;
}

.calc-label {
  color: black;
  font-weight: bold;
  margin-bottom: 10px;
}

.calc-value {
  font-size: 64px;
  font-weight: 800;
  color: #0f172a;
}

.calc-line {
  height: 1px;
  background: #c5c8ce;
  margin: 30px 0;
}

.calc-days {
  color: black;
  margin-bottom: 15px;
}

#rangeSlider {
  width: 100%;
  accent-color: blue;
}
.footer {
  padding: 60px 20px 40px 20px;
  text-align: center;
}

.footer-content {
  max-width: 1100px;
  margin: 0 auto;
}

/* ЛОГОТИПИ */
.footer-logos {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 35px; /* відстань між рядами */
  margin-bottom: 50px;
}

.footer-logos .logos-row {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 90px; /* відстань між логотипами */
}

.footer-logos img {
  height: 50px;
  width: auto;
 
}

/* LINKS */
.footer-links {
  display: flex;
  justify-content: center;
  gap: 40px;
  margin-bottom: 20px;
}

.footer-links a {
  color: black;
  font-size: 20px;
  text-decoration: none;
  color: #666;
}

/* TEXT */
.footer-text {
  font-size: 16px;
  color: black;
  max-width: 750px;
  margin: 0 auto;
  line-height: 1.6;
}
.iti__dial-code {
    color: black !important;
  }
  .iti__country-name {
    color: black !important;
  }
  .mytext1 {
    color: black;
  }
  .modal {
  position: fixed;
  inset: 0;
  display: none;
  align-items: center;
  justify-content: center;
  z-index: 9999;
}

.modal.active {
  display: flex;
}

.modal-overlay {
  position: absolute;
  inset: 0;
  background: rgba(0,0,0,0.6);
}

.modal-content {
  position: relative;
  background: #fff;
  padding: 40px;
  border-radius: 12px;
  max-width: 600px;
  width: 90%;
  max-height: 80vh;
  overflow-y: auto;
  animation: fadeIn 0.3s ease;
}

.modal-close {
  position: absolute;
  top: 15px;
  right: 20px;
  background: none;
  border: none;
  font-size: 24px;
  cursor: pointer;
}

@keyframes fadeIn {
  from {opacity: 0; transform: translateY(-20px);}
  to {opacity: 1; transform: translateY(0);}
}
@media (max-width: 992px){
  
  .slots-content{
    flex-direction:column;
    align-items:flex-start;
    gap:40px;
    padding:50px 40px;
  }

  .slots-left{
    max-width:100%;
  }

  .slots-left h2{
    font-size:26px;
    line-height:1.2;
  }

  .slots-btn{
    width:100%;
    text-align:center;
  }

  .slots-grid{
    width:100%;
    justify-content:center;
  }
  .form-wrapper{
    flex-direction:column;
    gap:0px;
  }

  .form-left-card,
  .form-right-card{
    width:100%;
  }

  /* стрілки прибираємо */
  .form-arrows{
    display:none;
  }

  .form-left-card{
    padding:50px;
  }

  .form-right-card{
    padding:50px;
  }
  .form-arrows1{
    display:flex;
    position:relative;
    left:auto;
    top:auto;
    transform:none;
    justify-content:center;
   
  }

  .arrow-circle1{
    transform:rotate(90deg);
    width:74px;
    height:74px;
    border-radius:50%;
    display:flex;
    align-items:center;
    justify-content:center;
    font-size:26px;
    color:#63f5c1;
    border:2px solid #63f5c1;
    background:#0f1e2c;
    box-shadow:
      0 0 18px rgba(99,245,193,0.7),
      0 0 45px rgba(99,245,193,0.35);
  }

  


}
@media (max-width: 1100px) {

  .stats-row {
    flex-wrap: wrap;
    gap: 25px;
  }

  .stat-box {
    width: 280px;
    height: 180px;
    padding: 25px;
  }

  .calc-card {
    width: 90%;
  }

}
@media (max-width: 768px){

  body{
    padding-top:40px;
  }

  .container{
    padding:0 20px;
  }

  .title{
    font-size:20px;
    white-space:normal;
    line-height:1.4;
    margin-bottom:25px;
  }

  .arrow-wrapper{
    margin-bottom:30px;
  }

  .arrow{
    width:44px;
    height:44px;
  }

  .video-outer{
    padding:10px;
    border-radius:18px;
  }

  .video-inner{
    border-radius:14px;
  }
  .ai-content{
    flex-direction:column;
    height:auto;
    padding:50px 30px 80px 30px;
    text-align:left;
  }

  .ai-text{
    max-width:100%;
  }

  .ai-text h2{
    font-size:28px;
    line-height:1.1;
  }

  .ai-desc{
    font-size:15px;
  }

  .ai-info{
    margin-bottom:30px;
  }

  .ai-btn{
    width: 100%;
    display:inline-block;
    padding:14px 30px;
    font-size:15px;
  }

  .ai-image{
    width:100%;
    height:auto;
    position:relative;
    
    display:flex;
    justify-content:center;
  }

  .ai-image img{
    position:relative;
    width:380px;
    right:auto;
    bottom:auto;
    transform:none;
  }

  /* зменшуємо світіння */
  .ai-content::after{
    right:-200px;
    top:-150px;
    width:600px;
    height:600px;
    filter:blur(30px);
  }
  .slots-block{
    margin:80px auto;
    
  }

  .slots-content{
    padding:35px 25px;
    border-radius:18px;
  }

  .slots-left h2{
    font-size:22px;
  }

  .slots-info{
    padding:14px 16px;
  }

  .slots-btn{
    
    font-size:14px;
  }

  /* GRID */
  .slots-grid{
    grid-template-columns:repeat(3, 1fr);
    gap:14px;
    justify-items:center;
  }

  .slot{
    width:85px;
    height:85px;
  }

  .slot-icon{
    font-size:20px;
  }

  .slot-label{
    font-size:11px;
  }
  

  .final-card {
    padding: 50px 25px;
    border-radius: 20px;
  }

  .final-title {
    font-size: 28px;
  }

  .final-sub {
    font-size: 14px;
  }

  .stats-row {
    flex-direction: column;
    align-items: center;
    gap: 20px;
    margin-top: 40px;
  }

  .stat-box {
    width: 100%;
    max-width: 350px;
    height: auto;
    padding: 25px;
  }

  .stat-value {
    font-size: 30px;
  }

  .divider {
    margin: 40px 0;
  }

  .calc-title {
    font-size: 18px;
  }

  .calc-card {
    width: 100%;
    padding: 30px 20px;
    border-radius: 20px;
  }

  .calc-value {
    font-size: 48px;
  }


  .footer{
    margin-top:60px;
    padding:50px 20px 140px 20px;
  }

  .footer-logos {
    gap: 25px;
    margin-bottom: 35px;
  }

  .footer-logos .logos-row {
    gap: 40px;           /* менший відступ */
         /* щоб не ламалось */
  }

  .footer-logos img {
    height: 22px;        /* менші логотипи */
  }

  .footer-links a {
    font-size: 15px;
  }
  .footer-links{
    flex-direction:column;
    gap:15px;
    margin-bottom:30px;
  }

  .footer-text{
    font-size:12px;
    line-height:1.5;
  }
  .video-timer{
    font-size:18px;
  }

  .form-wrapper{
    margin-top:50px;
  }

  .form-left-card,
  .form-right-card{
    padding:40px 30px;
    border-radius:18px;
  }

  .form-left-card h2{
    font-size:24px;
  }

  .form-info{
    padding:14px 20px;
    font-size:13px;
  }

  .form-right-card input{
    padding:16px;
    font-size:14px;
  }

  .form-btn{
    padding:16px;
    font-size:15px;
  }

}
@media (max-width: 576px){

  .ai-block{
    margin:40px auto 0;
    
  }

  .ai-content{
    padding:40px 20px 70px 20px;
    border-radius:18px;
  }

  .ai-text h2{
    font-size:24px;
  }

  .ai-image img{
    width: 320px;
    bottom: -69px;
    left: -86px;
  }
  .final-title {
    font-size: 22px;
  }

  .stat-top {
    font-size: 14px;
    display: flex;
    justify-content: flex-start;
    font-size: 14px;
  }

  .stat-icon {
    width: 18px;
    height: 18px;
  }

  .stat-value {
    text-align: justify;
    font-size: 26px;
  }

  .calc-value {
    font-size: 40px;
  }
  .under-video-wrapper{
    margin:40px auto;
    padding:0 15px;
  }

  .video-timer{
    font-size:16px;
    margin-top:30px;
  }

  .form-left-card,
  .form-right-card{
    padding:40px 20px;
  }

  .form-left-card h2{
    font-size:20px;
    line-height:1.3;
  }
  .footer-links a {
    font-size: 15px;
  }
  .form-btn{
    font-size:14px;
  }

}